Update gpgme to 1.16.0

Desktop / LibreOffice - Thorsten Behrens [allotropia.de] - 5 January 2022 08:53 UTC

- remove GPGME_CAN_EXPORT_MINIMAL_KEY, upstream now has support for key export flags in c++ wrapper (gpgmepp >= 1.14)
- therefore, external/gpgmepp/add-minimal-keyexport.patch now fully obsolete, tweaked xmlsecurity code to use upstream function
- bits of external/gpgmepp/find-libgpg-error-libassuan.patch are upstream now (configure and makefile pieces, though we keep configure.ac changes for the while - to not pick up system versions too easily)
- external/gpgmepp/gpgme.git-fe2892618c20cd40c342cce26ffb6ac4644fd3c3.patch.1 was from upstream anyway, removed

Change-Id: I991c20c0eeff0f9135e97c991afcb905be55a959 Reviewed-on: https://gerrit.libreoffice.org/c/core/+/127665

78dae8b20b85 Update gpgme to 1.16.0
config_host/config_gpgme.h.in | 3 -
configure.ac | 3 +-
download.lst | 4 +-
external/gpgmepp/ExternalPackage_gpgmepp.mk | 4 +-
external/gpgmepp/UnpackedTarball_gpgmepp.mk | 2 -
external/gpgmepp/add-minimal-keyexport.patch | 68 ----------------------
external/gpgmepp/find-libgpg-error-libassuan.patch | 29 ---------
...e2892618c20cd40c342cce26ffb6ac4644fd3c3.patch.1 | 30 ----------
external/gpgmepp/w32-build-fixes.patch.1 | 9 ++-
external/gpgmepp/w32-fix-win32-macro.patch.1 | 3 +-
xmlsecurity/source/gpg/CertificateImpl.cxx | 7 +--
11 files changed, 17 insertions(+), 145 deletions(-)

Upstream: cgit.freedesktop.org


  • Share